\section*{Supplement Material (for references and discussion, not for the paper)}

\section{A splitting method for the monodomain equation}

In this context the monodomain model for the cardiac electrophysiology is given by the
equations
    \begin{subequations}
    \begin{align}
      \beta \big( C_\text{m} \frac{\partial v(t,x)}{\partial t} + 
      (I_\text{ion}(v(t,x),w(t,x))+I_\text{stim}(t,x))\big) &= \nabla \cdot (\vec \sigma \nabla v(t,x)), &\text{in}~  \Omega\\ 
      I_\text{ion}(v,w) &= f(v,w),&\text{in}~\Omega\\
      \frac{ \partial w}{\partial t} &= g(v,w) &\text{in}~  \Omega\\
      \vec n \cdot \vec \sigma \nabla v&=0 & \text{for}~ \partial\Omega.\label{neumannbnd}      
    \end{align}
    \end{subequations}
Here $\beta$ is the surface-to-volume ratio of the cells, $I_\text{ion}(v,w)$ is the transmembrane current density, $v(t,x)$ is the membrane voltage, $\vec \sigma$ is the
conductivity and $C_\text{m}$ is the capacitance of the membrane.  %The values for the constants are given in
%Table \ref{parameter_values}. 
As a model for $I_\text{ion}(v,w)$ the ODE-system of ten Tusscher and
Pantilof \cite{tentusscher} is used. The details of this model are
given in Section \ref{sectionTenTusscher} where $f(v,w)$, $g(v,w)$ and
$w(t,x)\in \mathbb{R}^N$ are specified.
%The geometry is a cuboid $\Omega = (0,3)\times(0, 7)\times(0,20)$ measured in mm. The stimulus current $I_\text{stim}(t,x)$ is delivered to a volume of $\Omega_\text{stim}=(0,1.5)\times(0, 1.5)\times(0,1.5)$ mm$^3$
%located at a corner of the cuboid and is given by
%\begin{equation*}
% I_\text{stim}(t,x)=\begin{cases} 50 & 0\leq t \leq 2\text{ms} \vee x\in \Omega_\text{stim}\\ 0 & \text{else}\end{cases}.
%\end{equation*} 
%The geometry and the stimulus area are displayed in Figure \ref{geometry_cuboid}.
 With equation \eqref{neumannbnd} we have  a zero-flux condition at the boundary.
To solve the mododomain equation we  use an operator splitting
method. We start with
    \begin{equation}
      \partial_t v
      = \frac{1}{\beta C_\text{m}} \nabla\cdot (\vec \sigma \nabla v) 
      - \frac{1}{C_m}( I_\text{ion}(v,w)+I_\text{stim}),
    \end{equation}
is split as follows:
    \begin{align*}
      \partial_t v &= - \frac{1}{C_\text{m}} (I_\text{ion}(v,w)+I_\text{stim}),\\
      \partial_t v &= \frac{1}{\beta C_\text{m}} \nabla\cdot (\vec \sigma \nabla v).
    \end{align*}
Then we have to solve a nonlinear system of ODEs and a linear PDE. Therefore we
partition the time interval $[0,T]$ by $[t_0 = 0,t_1]\cup[t_1,t_2]\cup
\dots\cup[t_{N-1},t_N=T]$ and assume $v^n $ to be known at time $t_n$. Then we
use the following Strang splitting algorithm to compute $v^{n+1}$:
\begin{enumerate}
\item For $i=1,\dots,k$ solve the nonlinear system 
by a time stepping method
\begin{align*}
\partial_t v &= - \frac{1}{C_\text{m}} (I_\text{ion}(v,w)+I_\text{stim}),\quad \text{with starting value}~v^n_{\frac{i-1}{2k}},
\end{align*}
for $t_n+\frac{(i-1)}{2k}{\vartriangle}t< t< t_n + \frac{i}{2k}{\vartriangle}t$ and denote the solution at $t_n+\frac{1}{2}{\vartriangle}t$ by $v^n_{\frac{1}{2}}$.
\item Solve the linear PDE
\begin{align*}
\partial_t v &= \frac{1}{\beta C_\text{m}} \nabla\cdot (\vec \sigma \nabla v), \quad \text{with starting value}~ v^n_{\frac{1}{2}},
\end{align*}
for $t_n< t\leq t_n +{\vartriangle}t$ and denote the solution by $v^{n+1}_{\frac{1}{2}}$.
\item Solve again for $i=1,\dots,k$
\begin{align*}
\partial_t v &= - \frac{1}{C_\text{m}} (I_\text{ion}(v,w)+I_\text{stim}),\quad \text{with starting value}~ v^{n+1}_{\frac{k+i-1}{2k}},
\end{align*}
for $t_n+\frac{k+i-1}{2k}{\vartriangle}t < t \leq t_n+\frac{k+i}{2k}{\vartriangle}t$ and obtain after the $k$-th step $v^{n+1}$.
\end{enumerate}
Remember that in the first and the third step one has to solve a system of ODEs depending on $f(v,w)$ and $g(v,w)$. The loop over $k$ in this two  steps partitions the interval $[t_n, t_n + \frac{1}{2}{\vartriangle}t]$ again into $k$ smaller intervals. This procedure can help to increase the accuracy of solving the ODE system. To clarify the notation we define here $v_0^n:=v^n$.
